谨慎升级 jQuery.form 插件!!!

红薯 发布于 2010/11/04 09:29
阅读 1K+
收藏 2

昨晚将 jQuery.form 插件由原来的 2.43 版本升级到 2.49 版本,简单测试了一下,工作正常。

但早上分享代码的时候发现提示一个数字出来,经过一番调试终于找出了罪魁祸首——jquery.form

原来提交表单时,2.49 版本会自动的内容进行html封装,

比如你服务器返回的是一个数字123,那么 2.49 版本会自动将 123 变成 <head></head><body>123</body>

而在 2.43 版本是不会做这样的封装的。

太扯了,换回老版本!

加载中
0
Midnight
Midnight

万幸还没升级.

0
pizigou
pizigou

我们的JQ版本一直停留在1.3 不敢升级了,升级出现过不兼容就撤退了。

0
sdfsadfasd
sdfsadfasd

那他们搞什么鬼呢,还插件能用了吗

0
蔡华江
蔡华江

永不升级任何一个JS,新的页面直接使用新的JS,老的保留

0
xu81.com
xu81.com

画蛇添足吗?

0
loyal
loyal
玛丽隔壁的....................
返回顶部
顶部